README


DESCRIPTION
wmanager is a small X11 application for selecting a window manager
at X startup. 


DISCLAIMER
Copyright (C) 1999  M. Tessmer
Copyright (C) 2016  Peter Pentchev <roam@ringlet.net>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


INTERNET RESOURCES	
For the latest version of wmanager look at 

    https://devel.ringlet.net/x11/wmanager/

or the Git repository at GitLab:

    https://gitlab.com/wmanager/wmanager


INSTALLATION
You need a working X11 environment and a C++ compiler. wmanager uses
the Fast Light Toolkit which can be found at

    http://www.fltk.org
    
For installation instructions see the 'INSTALL' file.


NEWS
For the latest news or new features in this project see the 'NEWS' file
or at the homepage above.


FAQ
There is also a frequently asked questions section - see the 'FAQ' file.


USAGE
On startup wmanager looks for a file named '.wmanagerrc'
in the user's home directory or the one specified at the command line with
the 'r' switch.  This file contains a list of window managers:

       # sample .wmanagerrc file for wmanager

       9wm=/home/M/bin/9wm
       AfterStep=/usr/X11R6/bin/afterstep
       Fltk Windowmanager=/home/M/bin/flwm
       Fvwm2=/usr/X11R6/bin/fvwm2
       IceWm=/usr/X11R6/bin/icewm
       K Desktop Environment=/usr/X11R6/bin/kde
       Macintosh-like virtual wm=/usr/X11R6/bin/mlvwm
       Qvwm=/usr/X11R6/bin/qvwm
       Sapphire=/home/M/bin/sapphire
       Tabular wm = /usr/X11R6/bin/twm
       WindowMaker=/usr/X11R6/bin/wmaker
       wmG=/home/M/bin/wm
       wmx=/home/M/bin/wmx

Lines beginning with a '#' are treated as comments. The first words are
the name which is listed in 'wmanager', i.e. '9wm'. After that you
must specify the executable file; it is '/home/M/bin/9wm' for '9wm' in
the example file above. Relative path names are allowed.

The following command-line options are allowed:

      -r file                           alternative .wmanagerrc file
      -d[isplay] host:n.n               network
      -g[eometry] WxH+X+Y               window size and position
      -t[itle] windowtitle              window title
      -n[ame] classname                 window class
      -i[conic]                         iconfy application
      -fg color                         foreground color
      -bg color                         background color
      -bg2 color                        widget background color

Typically, you add some lines to your .xinitrc/.xsession file in the
following manner:

       #!/bin/bash
       #
       # sample .xinitrc for wmanager

       # ...

       #default wm
       WM=/home/jane_user/bin/wmx

       # set nice(?) background
       xsetroot -solid black

       # start wmanager at root window center
       WM=$( wmanager -g +365+322; )

       # test for -1 (returned if 'Exit' was pressed)
       #
       # WINDOWMANAGER is the final environment variable
       if test "$WM"!="-1" ; then
	   WINDOWMANAGER=$WM ;
       else 
	   exec $failsafe ;
       fi


       # GNOME panel
       panel &

       # finally start a windowmanager
       $WINDOWMANAGER &


       # ...

wmanager prints out the path for the selected window manager to
the standard output, so you can store it in a variable like 'WM'. If you
exit the program without selecting a window manager, it prints '-1' to stdout.

The distribution comes with sample files for .wmanagerrc and .xinitrc.
It should be easy to modify and use them in any environment.

In future versions wmanager will check for file access rights and
inform the user about it.

Now you are prepared to go and set up your personal '.wmanagerrc' with your
preferred window managers.


If you find any bugs, have requests or questions, please mail to

    Peter Pentchev <roam@ringlet.net>

with 'wmanager: your question' in the subject field.


Have fun,
		Meik & Peter
